Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Cross-Site Scripting in php-phpmyadmin-sql-parser
Aktuelle Meldungen Distributionen
Name: Cross-Site Scripting in php-phpmyadmin-sql-parser
ID: FEDORA-2018-147d33439c
Distribution: Fedora
Plattformen: Fedora 26
Datum: Do, 1. März 2018, 19:24
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-7260
Applikationen: php-phpmyadmin-sql-parser

Originalnachricht

-------------------------------------------------------------------------------
-
Fedora Update Notification
FEDORA-2018-147d33439c
2018-03-01 15:57:44.337366
-------------------------------------------------------------------------------
-

Name : php-phpmyadmin-sql-parser
Product : Fedora 26
Version : 4.2.4
Release : 3.fc26
URL : https://github.com/phpmyadmin/sql-parser
Summary : A validating SQL lexer and parser with a focus on MySQL dialect
Description :
A validating SQL lexer and parser with a focus on MySQL dialect.

This library was originally developed for phpMyAdmin during
the Google Summer of Code 2015.

Autoloader: /usr/share/php/PhpMyAdmin/SqlParser/autoload.php

-------------------------------------------------------------------------------
-
Update Information:

From upstream announcement: **Security fix: phpMyAdmin 4.7.8 is released**
Welcome to phpMyAdmin 4.7.8, a security releaes also containing regular
maintenance bug fixes. The security fix relates to a self-XSS vulnerability in
the central columns feature that is reported as PMASA-2018-1
https://www.phpmyadmin.net/security/PMASA-2018-1/. Thanks to Mayur Udiniya
https://www.linkedin.com/in/mayur-udiniya-09247b129/ for finding and responsibly
disclosing this flaw. We recommend all users upgrade to resolve this security
problem. A complete list of new features and bugs that have been fixed is
available in the ChangeLog file or changelog.php included with this release.
Notable changes since 4.7.7: * Fixed error handling with PHP 7.2 * Fixed
resetting default setting values * Fixed fallback value for collation
connection Additionally, there have been continuous improvements to many of
the
translations. If you don't see your language or find a problem, you can
contribute too; see https://www.phpmyadmin.net/translate/ for details.
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1547748 - CVE-2018-7260 phpMyAdmin: XSS in db_central_columns.php
https://bugzilla.redhat.com/show_bug.cgi?id=1547748
-------------------------------------------------------------------------------
-

This update can be installed with the "dnf" update program. Use
su -c 'dnf upgrade php-phpmyadmin-sql-parser' at the command line.
For more information, refer to the dnf documentation available at
http://dnf.readthedocs.io/en/latest/command_ref.html#upgrade-command-label

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list -- package-announce@lists.fedoraproject.org
To unsubscribe send an email to package-announce-leave@lists.fedoraproject.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung